/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;
/**
 * This enum represents Code Value for MacularGridThicknessAndVolumeMeasurement
 */
public enum EnumCV_MacularGridThicknessAndVolumeMeasurement {

	
	FINDINGS_121070("121070"),
	FINDINGS_SITE_G_C0E3("G-C0E3"),
	LATERALITY_G_C171("G-C171"),
	MACULARGRID_CENTER_POINT_THICKNESS_57108_3("57108-3"),
	MACULARGRID_CENTER_SUBFIELD_THICKNESS_57109_1("57109-1"),
	MACULARGRID_INNER_SUPERIOR_SUBFIELDTHICKNESS_57110_9("57110-9"),
	MACULARGRID_INNER_NASAL_SUBFIELDTHICKNESS_57111_7("57111-7"),
	MACULARGRID_INNER_INFERIOR_SUBFIELDTHICKNESS_57112_5("57112-5"),
	MACULARGRID_INNER_TEMPORAL_SUBFIELDTHICKNESS_57113_3("57113-3"),
	MACULARGRID_OUTER_SUPERIOR_SUBFIELDTHICKNESS_57114_1("57114-1"),
	MACULARGRID_OUTER_NASAL_SUBFIELDTHICKNESS_57115_8("57115-8"),
	MACULARGRID_OUTER_INFERIOR_SUBFIELDTHICKNESS_57116_6("57116-6"),
	MACULARGRID_OUTER_TEMPORAL_SUBFIELDTHICKNESS_57117_4("57117-4"),
	MACULARGRID_TOTAL_VOLUME_57118_2("57118-2"),
	NUMBER_OFIMAGES_USED_FOR_MACULARMEASUREMENTS_111691("111691"),
	NUMBER_OF_SAMPLES_USED_PER_IMAGE_111692("111692"),
	ANALYSISQUALITY_RATING_111693("111693"),
	IMAGE_SETQUALITY_RATING_111694("111694"),
	IMAGE_QUALITY_RATING_111029("111029"),
	VISUAL_FIXATION_QUALITY_DURINGACQUISITION_111696("111696"),
	VISUALFIXATION_QUALITY_PROBLEM_111697("111697"),
	OPHTHALMICMACULAR_GRID_PROBLEM_111698("111698"),
	COMMENT_121106("121106"),
	
;
	private String value;
	
	EnumCV_MacularGridThicknessAndVolumeMeasurement(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
